## mozc 2.19.2623.102+dfsg

=== debian/changelog ===
mozc (2.19.2623.102+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update to Qt5.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 16 Nov 2016 06:24:50 +0900

mozc (2.18.2595.102+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #815790)
  * Update patches/gcc.patch
  * Update patches/uim-mozc.patch to latest version
  * Update patches/fcitx-mozc.patch to latest version
  * Update Standards-Version to 3.9.8
  * Update debian/copyright
    Update URL of mozc project and macuim.
  * Add debian/source.lintian-overrides
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL.
  * Add tegaki-zinnia-japanese to Depends of mozc-utils-gui. (Closes: 800472)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 24 Aug 2016 06:45:33 +0900
