=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: mozc
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Build-Depends: debhelper (>= 9),
 	libibus-1.0-dev (>= 1.4.1) | libibus-dev (>= 1.4.1),
 	pkg-config, libxcb-xfixes0-dev, libgtk2.0-dev,
-	python-dev, gyp (>= 0.1~svn1729-2), protobuf-compiler,
-	libprotobuf-dev (>= 2.5.0-9), libqt4-dev,
+	python-dev, gyp (>= 0.1~svn1729-2), protobuf-compiler (>= 3.0.0),
+	libprotobuf-dev (>= 3.0.0), qtbase5-dev, libqwt-qt5-dev,
+	libgwengui-qt5-dev, libuim-dev,
 	libzinnia-dev, fcitx-libs-dev, gettext,
 	desktop-file-utils, ninja-build
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/google/mozc.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/mozc.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mozc.git;a=summary
+Vcs-Git: https://anonscm.debian.org/collab-maint/mozc.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/mozc.git;a=summary
 
 Package: mozc-data
 Architecture: all
@@ -43,6 +43,25 @@
  ibus-mozc provides client part of the Mozc input method.
  .
  This open-source project originates from Google Japanese Input.
+
+Package: uim-mozc
+Architecture: i386 amd64 armel armhf
+Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= 1:1.8.1-2),
+	mozc-data, mozc-server (= ${binary:Version})
+Recommends: mozc-utils-gui (= ${binary:Version})
+Multi-Arch: same
+Description: Mozc engine for uim - Client of the Mozc input method
+ uim is an input method module library supporting various languages, which 
+ become a frontend for Anthy, SKK, Canna, T-Code, TUT-Code, 
+ Pinyin (Chinese input method), Hangul (Korean input method), 
+ IPA (International Phonetic Alphabet), etc.
+ Most of the functions are implemented with Scheme, so it's very simple 
+ and flexible.
+ .
+ Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
+ such as Chromium OS, Windows, Mac and Linux.
+ .
+ uim-mozc provides client part of the Mozc input method.
 
 Package: fcitx-mozc
 Architecture: i386 amd64 armel armhf
@@ -100,9 +119,9 @@
 
 Package: mozc-utils-gui
 Architecture: i386 amd64 armel armhf
-Depends: ${misc:Depends}, ${shlibs:Depends}, mozc-data
+Depends: ${misc:Depends}, ${shlibs:Depends}, mozc-data, tegaki-zinnia-japanese
 Recommends: mozc-server (= ${binary:Version})
-Suggests: ibus-qt4
+Suggests: ibus-qt5
 Description: GUI utilities of the Mozc input method
  Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
  such as Chromium OS, Windows, Mac and Linux.
