## mozc 2.20.2673.102+dfsg

=== debian/changelog ===
mozc (2.20.2673.102+dfsg-2ubuntu0.18.04.1) bionic; urgency=medium

  * Add d/patches/add_support_new_japanese_era.patch.
    This adds Japan's new era 令和 (Reiwa) support. (LP: #1823444)

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Sun, 21 Apr 2019 18:53:11 +0900

mozc (2.20.2673.102+dfsg-2) unstable; urgency=medium

  * Update debian/control.
    - Remove uim-utils from Depends of uim-mozc. (Closes: #875758)
    - Update Standards-Version to 4.1.0.
  * Add apparmor profile for mozc-server. (Closes: #818527)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 26 Sep 2017 00:13:44 +0900

mozc (2.20.2673.102+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add support arm64. (Closes: #864261)
  * Update Standards-Version to 4.0.0.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 10 Aug 2017 08:18:05 +0900
