=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mozc
 Section: utils
 Priority: optional
-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Build-Depends: debhelper (>= 9),
 	libibus-1.0-dev (>= 1.4.1) | libibus-dev (>= 1.4.1),
 	pkg-config, libxcb-xfixes0-dev, libgtk2.0-dev,
@@ -10,7 +11,7 @@
 	libgwengui-qt5-dev, libuim-dev,
 	libzinnia-dev, fcitx-libs-dev, gettext,
 	desktop-file-utils, ninja-build
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://github.com/google/mozc.git
 Vcs-Git: https://anonscm.debian.org/collab-maint/mozc.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/mozc.git;a=summary
@@ -28,7 +29,7 @@
  This open-source project originates from Google Japanese Input.
 
 Package: ibus-mozc
-Architecture: i386 amd64 armel armhf
+Architecture: i386 amd64 armel armhf arm64
 Depends: ${misc:Depends}, ${shlibs:Depends}, mozc-data,
 	ibus (>= 1.2), mozc-server (= ${binary:Version}), tegaki-zinnia-japanese
 Recommends: mozc-utils-gui (= ${binary:Version})
@@ -45,8 +46,8 @@
  This open-source project originates from Google Japanese Input.
 
 Package: uim-mozc
-Architecture: i386 amd64 armel armhf
-Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= 1:1.8.1-2),
+Architecture: i386 amd64 armel armhf arm64
+Depends: ${misc:Depends}, ${shlibs:Depends},
 	mozc-data, mozc-server (= ${binary:Version})
 Recommends: mozc-utils-gui (= ${binary:Version})
 Multi-Arch: same
@@ -64,7 +65,7 @@
  uim-mozc provides client part of the Mozc input method.
 
 Package: fcitx-mozc
-Architecture: i386 amd64 armel armhf
+Architecture: i386 amd64 armel armhf arm64
 Depends: ${misc:Depends}, ${shlibs:Depends}, fcitx-bin, fcitx-data, fcitx-modules,
 	mozc-server (= ${binary:Version}), mozc-data, tegaki-zinnia-japanese
 Recommends: fcitx, mozc-utils-gui (= ${binary:Version})
@@ -83,7 +84,7 @@
  fcitx-mozc provides client part of the Mozc input method.
 
 Package: emacs-mozc
-Architecture: i386 amd64 armel armhf
+Architecture: i386 amd64 armel armhf arm64
 Depends: ${misc:Depends}, emacs | emacs23 | emacs24, emacs-mozc-bin (= ${binary:Version})
 Conflicts: emacsen-common (<< 2.0.0)
 Description: Mozc for Emacs
@@ -95,7 +96,7 @@
  This open-source project originates from Google Japanese Input.
 
 Package: emacs-mozc-bin
-Architecture: i386 amd64 armel armhf
+Architecture: i386 amd64 armel armhf arm64
 Depends: ${misc:Depends}, ${shlibs:Depends}, mozc-server (= ${binary:Version})
 Description: Helper module for emacs-mozc
  Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
@@ -106,7 +107,7 @@
  This open-source project originates from Google Japanese Input.
 
 Package: mozc-server
-Architecture: i386 amd64 armel armhf
+Architecture: i386 amd64 armel armhf arm64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: foreign
 Description: Server of the Mozc input method
@@ -118,7 +119,7 @@
  This open-source project originates from Google Japanese Input.
 
 Package: mozc-utils-gui
-Architecture: i386 amd64 armel armhf
+Architecture: i386 amd64 armel armhf arm64
 Depends: ${misc:Depends}, ${shlibs:Depends}, mozc-data, tegaki-zinnia-japanese
 Recommends: mozc-server (= ${binary:Version})
 Suggests: ibus-qt5
