## mozc 2.23.2815.102+dfsg

=== debian/changelog ===
mozc (2.23.2815.102+dfsg-8ubuntu1) focal; urgency=medium

  * Add d/patches/workaround_python2.patch
    Use "python2" explicitly in gyp scripts to workaround for focal
    (LP: #1864290).

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Sat, 22 Feb 2020 18:01:18 +0900

mozc (2.23.2815.102+dfsg-8build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:45:24 +0000

mozc (2.23.2815.102+dfsg-8) unstable; urgency=medium

  [Gunnar Hjalmarsson]
  * Add extra desktop file for gnome-control-center.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 20 Jan 2020 21:59:46 +0900

mozc (2.23.2815.102+dfsg-7) unstable; urgency=medium

  * Update d/rules.
    Fix DSO missing for libatomic on armel.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 25 Jul 2019 19:44:59 +0900

mozc (2.23.2815.102+dfsg-6) unstable; urgency=medium

  * Add d/patches/Add-support-verbose-build.patch
    Enable verbose build on ninja.
  * Build mozc_tool with static library of libprotobuf.
    mozc uses protobuf library. The protbuf library can not handle dlopen well
    by design, there is a problem with this (See #721791).
    This problem is also reported to Upstream, but since protbuf is assumed
    to be used as static link, it has not been fixed yet.
      - https://github.com/protocolbuffers/protobuf/issues/1941
      - https://github.com/protocolbuffers/protobuf/issues/4126
    This fix separates the build targets, and problematic mozc_tools provide
    libprotobuf with static link. If this issue is fixed upstream, mozc_tool
    will be provided again via dynamic link.
    (Closes: #700307, #774370)
  * Migrate from python2 to python3.
    Add d/patches/Support-python3.patch
  * Update d/copyright.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 24 Jul 2019 20:00:08 +0900

mozc (2.23.2815.102+dfsg-5) unstable; urgency=medium

  * Update debian/rules.
    ibus-mozc: Change mozc-utils-gui from Recommend to Suggest for Ubuntu only.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 16 Jul 2019 18:03:23 +0900

mozc (2.23.2815.102+dfsg-4) unstable; urgency=medium

  * Add d/patches/add_support_new_japanese_era.patch.
    This adds Japan's new era 令和 (Reiwa) support. (Closes: #927030)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 14 Apr 2019 06:25:53 +0900

mozc (2.23.2815.102+dfsg-3) unstable; urgency=medium

  * Update .desktop file.
    Use 128x128 image. (LP: #1765948)
  * Bump Standards-Version to 4.2.1.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 01 Dec 2018 07:40:07 +0900

mozc (2.23.2815.102+dfsg-2) unstable; urgency=medium

  * Fix build with gcc8 (Closes: #897814)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 24 Jul 2018 16:58:04 +0900

mozc (2.23.2815.102+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.3.
  * Update patches/uim-mozc.patch.
  * Add patches/fcitx-mozc-updates.patch.
  * Update Vcs-Git and Vcs-Browser to salsa.
  * Update copyright.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 03 Apr 2018 08:04:52 +0900
