=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Build-Depends: debhelper (>= 9),
 	libibus-1.0-dev (>= 1.4.1) | libibus-dev (>= 1.4.1),
 	pkg-config, libxcb-xfixes0-dev, libgtk2.0-dev,
-	python-dev, gyp (>= 0.1~svn1729-2), protobuf-compiler (>= 3.0.0),
+	python3-dev, gyp (>= 0.1~svn1729-2), protobuf-compiler (>= 3.0.0),
 	libprotobuf-dev (>= 3.0.0), qtbase5-dev, libqwt-qt5-dev,
 	libgwengui-qt5-dev, libuim-dev,
 	libzinnia-dev, fcitx-libs-dev, gettext,
 	desktop-file-utils, ninja-build
-Standards-Version: 4.1.0
+Standards-Version: 4.2.1
 Homepage: https://github.com/google/mozc.git
-Vcs-Git: https://anonscm.debian.org/collab-maint/mozc.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/mozc.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/mozc.git
+Vcs-Browser: https://salsa.debian.org/debian/mozc
 
 Package: mozc-data
 Architecture: all
