=== debian/rules ===
--- 
+++ 
@@ -7,14 +7,13 @@
 CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
 LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 
-DEB_BUILD_MULTIARCH :=$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)
-
 # clear XDG_CONFIG_DIRS for qtchooser
 unexport XDG_CONFIG_DIRS
 
+TARGET_STATIC=gui/gui.gyp:mozc_tool
 TARGETS=unix/ibus/ibus.gyp:ibus_mozc \
 	unix/emacs/emacs.gyp:mozc_emacs_helper \
-	server/server.gyp:mozc_server gui/gui.gyp:mozc_tool \
+	server/server.gyp:mozc_server \
 	renderer/renderer.gyp:mozc_renderer
 TARGET_UIM=unix/uim/uim.gyp:uim-mozc
 TARGET_FCITX=unix/fcitx/fcitx.gyp:fcitx-mozc
@@ -30,41 +29,37 @@
 	dh $@ --parallel
 
 override_dh_auto_configure:
+
+override_dh_auto_build: build_dynamic_link build_static_link
+build_static_link:
+	cd src; \
+	sed -i -e "s@-lprotobuf@/usr/lib/$(DEB_BUILD_MULTIARCH)/libprotobuf.a -latomic@g" protobuf/protobuf.gyp; \
+	GYP_DEFINES="use_libprotobuf=1 use_libzinnia=1" python3 build_mozc.py gyp \
+		--gypdir=/usr/bin --target_platform=Linux --verbose ; \
+	python3 build_mozc.py build $(TARGET_STATIC) -c Release ;\
+	mv out_linux out_linux_static
+
+build_dynamic_link:
 	cd src ; \
-	GYP_DEFINES="use_libprotobuf=1 use_libzinnia=1" python build_mozc.py gyp \
-		--gypdir=/usr/bin --target_platform=Linux --verbose
-
-override_dh_auto_build:
-	cd src ; \
-	V=1 python build_mozc.py build $(TARGETS) $(TARGET_UIM) $(TARGET_FCITX) -c Release
+	GYP_DEFINES="use_libprotobuf=1 use_libzinnia=1" python3 build_mozc.py gyp \
+		--gypdir=/usr/bin --target_platform=Linux --verbose ; \
+	python3 build_mozc.py build $(TARGETS) $(TARGET_FCITX) $(TARGET_UIM) -c Release ; \
+	mv out_linux out_linux_dynamic
 
 override_dh_auto_test:
 	# cd src; python build_mozc.py runtests -c Debug
 
 override_dh_auto_clean:
 	cd src ; \
-	python build_mozc.py clean
-	-rm -rf src/build_tools/__init__.pyc
-	-rm -rf src/build_tools/mozc_version.pyc
-	-rm -rf src/build_tools/test_tools/__init__.pyc
-	-rm -rf src/build_tools/test_tools/task_scheduler.pyc
-	-rm -rf src/build_tools/util.pyc
-	-rm -rf src/build_tools/code_generator_util.pyc
-	-rm -rf src/build_tools/android_util.pyc
-	-rm -rf src/build_tools/serialized_string_array_builder.pyc
-	-rm -rf src/prediction/__init__.pyc
-	-rm -rf src/prediction/gen_zero_query_util.pyc
-	-rm -rf src/rewriter/embedded_dictionary_compiler.pyc
-	-rm -rf src/rewriter/__init__.pyc
-	-rm -rf src/dictionary/pos_util.pyc
-	-rm -rf src/dictionary/__init__.pyc
-	-rm -rf src/build_tools/test_tools/test_launcher.pyc
+	python3 build_mozc.py clean
+	-find src -name "*.pyc" | xargs rm -rf
 	-rm -rf src/chrome/skk/skk_util_all_test.target.mk
 	-rm -rf src/chrome/skk/skk_util_test.target.mk
 
 	dh_auto_clean
 
 override_dh_auto_install:
+	mv src/out_linux_dynamic src/out_linux
 	# mozc-server
 	install -D -m 0755 src/out_linux/Release/mozc_renderer \
 		$(CURDIR)/debian/mozc-server/usr/lib/mozc/mozc_renderer
@@ -74,6 +69,8 @@
 	# mozc-utils-gui
 	desktop-file-install --dir=$(CURDIR)/debian/mozc-utils-gui/usr/share/applications \
 		$(CURDIR)/debian/setup-mozc.desktop
+	desktop-file-install --dir=$(CURDIR)/debian/mozc-utils-gui/usr/share/applications \
+		$(CURDIR)/debian/ibus-setup-mozc-jp.desktop
 
 	# ibus-mozc
 	install -D -m 0755 src/out_linux/Release/ibus_mozc \
@@ -115,3 +112,9 @@
 .PHONY: override_dh_installemacsen
 override_dh_installemacsen:
 	dh_installemacsen --priority=50
+
+override_dh_builddeb:
+	if dpkg-vendor --is ubuntu; then \
+		sed -i 's/^Recommends/Suggests/' debian/ibus-mozc/DEBIAN/control; \
+	fi
+	dh_builddeb
