## mozc 2.26.4220.100+dfsg

=== debian/changelog ===
mozc (2.26.4220.100+dfsg-4) unstable; urgency=medium

  * Fix typo in Exec of d/ibus-mozc-gnome-initial-setup.desktop.
  * Cleanup d/ibus-mozc-gnome-initial-setup.sh. Thanks to YOSHINO Yoshihito.
  * Update d/control.
    * Drop unnecessary packages from fcitx5-mozc.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 28 Feb 2021 21:38:42 +0900

mozc (2.26.4220.100+dfsg-3) unstable; urgency=medium

  * Add autostart file to ibus-mozc. (Closes: #983623)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 28 Feb 2021 10:26:30 +0900

mozc (2.26.4220.100+dfsg-2) unstable; urgency=medium

  * Add d/salsa-ci.yml.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 06 Jan 2021 19:27:11 +0900

mozc (2.26.4220.100+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #975491)
  * Update d/control.
    * Bump debhelper-compat to 13.
    * Add libfcitx5utils-dev, libfcitx5config-dev and fcitx5-modules-dev
      to B-D.
    * Add libabsl-dev, python3-six and dh-exec to B-D.
    * Add fcitx5-mozc package. This provides support for fcitx5.
    * Add fcitx-mozc-data package.
  * Update d/patches.
    * Update filename.
    * Add fcitx5 binding. (Closes: #974894)
      Take the patch from https://github.com/fcitx/mozc.
    * Drop some patches.
      * Change-from-python-to-python3.patch
      * Change-from-python-to-python3.patch
      * Change-from-python2-code-to-python3.patch
      * Fix-build-with-gcc8.patch
      * fcitx-mozc-updates.patch
      * protobuf_generated_classes_no_inheritance.patch
    * Update 0001-Update-uim-mozc-to-c979f127acaeb7b35d3344e8b1e40848e.patch
      * Fix build with latest mozc.
    * Update 0002-Support-fcitx.patch
      * Fix build of Utf8SubString for fcitx.
      * Fix build of Utf8SubString for fcitx5.
    * Add 0007-Update-src-base-absl.gyp.patch
      This add support build with libabsl shared library.
    * Add 0008-Use-std-extent-instead-of-std-size.patch
      This fix building without C++17.
  * Update d/gbp.conf
    * Set DEP14 to dist, and set debian/sid to debian-branch.
  * Remove d/uim-mozc.lintian-overrides and d/fcitx-mozc.lintian-overrides.
  * Add d/upstream/metadata.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 27 Dec 2020 22:01:58 +0900

mozc (2.23.2815.102+dfsg-10) unstable; urgency=medium

  * Fix FTBFS with Protobuf 3.12.3 (Closes: #963244)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 11 Jul 2020 06:11:37 +0900

mozc (2.23.2815.102+dfsg-9) unstable; urgency=medium

  * Change to debhelper 12.
  * Bump Standards-Version to 4.5.0.
  * Add patches/Change-from-python-to-python3.patch
  * Use patches/Change-from-python2-code-to-python3.patch instead of
    patches/Support-python3.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 24 May 2020 06:48:53 +0900
